import { Component, input } from '@angular/core';
import { CircledIconComponent } from "../circled-icon/circled-icon.component";
import { MoneyTextComponent } from "../../../../../../dist/my-wallet-ds";

@Component({
  selector: 'mw-expense-income-base-detail',
  standalone: true,
  imports: [CircledIconComponent, MoneyTextComponent],
  templateUrl: './expense-income-base-detail.component.html',
  styleUrl: './expense-income-base-detail.component.css'
})
export class ExpenseIncomeBaseDetailComponent {
  amountProps = input({
    amount: 0,
    color: 'var(--mw-black)'
  });

  iconProps = input({
    symbol:"",
    backgroundColor:"var(--mw-white)",
    color:"var(--mw-white)"
  });
}
